Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::KeymapSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gdk::Keymap. More...

`#include <xfc/gdk/keymapsignals.hh>`

Inheritance diagram for Xfc::Gdk::KeymapSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_direction_changed ()
    Called when the direction of the keymap changes;.
- virtual void on_keys_changed ()
    Called when the keyboard mapping changes.

## Protected Member Functions

Constructors

- KeymapSignals (Keymap *keymap)
    Constructs a new KeymapSignals object.
- virtual ~KeymapSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gdk::Keymap.

## Constructor & Destructor Documentation

Xfc::Gdk::KeymapSignals::KeymapSignals | ( | Keymap * | keymap | ) | `[protected]`

Constructs a new KeymapSignals object.

Parameters:

  | keymap | A Keymap object inheriting the KeymapSignals implementation.

The documentation for this class was generated from the following file:

- keymapsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3